## postgresql-plproxy 2.9

=== Makefile ===
EXTENSION  = plproxy

# sync with NEWS, META.json, plproxy.control
DISTVERSION = 2.9
EXTVERSION = 2.9.0
UPGRADE_VERS = 2.3.0 2.4.0 2.5.0 2.6.0 2.7.0 2.8.0

# set to 1 to disallow functions containing SELECT
NO_SELECT = 0

# libpq config
PG_CONFIG = pg_config
PQINCSERVER = $(shell $(PG_CONFIG) --includedir-server)
PQINC = $(shell $(PG_CONFIG) --includedir)
PQLIB = $(shell $(PG_CONFIG) --libdir)

# module setup
MODULE_big = $(EXTENSION)
SRCS = src/cluster.c src/execute.c src/function.c src/main.c \
       src/query.c src/result.c src/type.c src/poll_compat.c src/aatree.c
OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch] libplproxy.* plproxy.so
SHLIB_LINK = -L$(PQLIB) -lpq

HDRS = src/plproxy.h src/rowstamp.h src/aatree.h src/poll_compat.h

# Server include must come before client include, because there could
# be mismatching libpq-dev and postgresql-server-dev installed.
PG_CPPFLAGS = -I$(PQINCSERVER) -I$(PQINC) -DNO_SELECT=$(NO_SELECT)

ifdef VPATH
PG_CPPFLAGS += -I$(VPATH)/src
endif

DISTNAME = $(EXTENSION)-$(DISTVERSION)

# regression testing setup
REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
     plproxy_errors plproxy_clustermap plproxy_dynamic_record \
     plproxy_encoding plproxy_split plproxy_target plproxy_alter \
     plproxy_cancel
REGRESS_OPTS = --dbname=regression --inputdir=test
# pg9.1 ignores --dbname
override CONTRIB_TESTDB := regression

# sql source
PLPROXY_SQL = sql/plproxy_lang.sql
# Generated SQL files
EXTSQL = sql/$(EXTENSION)--$(EXTVERSION).sql \
	$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql) \
	sql/plproxy--unpackaged--$(EXTVERSION).sql

# pg84: SQL/MED available, add foreign data wrapper and regression tests
REGRESS += plproxy_sqlmed plproxy_table
PLPROXY_SQL += sql/plproxy_fdw.sql

# pg91: SQL for extensions
DATA_built = $(EXTSQL)
DATA = $(EXTMISC)
EXTRA_CLEAN += sql/plproxy.sql

# pg92: range type
REGRESS += plproxy_range

#
# load PGXS makefile
#
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifeq ($(PORTNAME), win32)
SHLIB_LINK += -lws2_32 -lpgport
endif

# PGXS may define them as empty
FLEX := $(if $(FLEX),$(FLEX),flex)
BISON := $(if $(BISON),$(BISON),bison)

# parser rules
src/scanner.o: src/parser.tab.h
src/parser.tab.h: src/parser.tab.c

src/parser.tab.c: src/parser.y
	@mkdir -p src
	$(BISON) -b src/parser -d $<

src/parser.o: src/scanner.h
src/scanner.h: src/scanner.c
src/scanner.c: src/scanner.l
	@mkdir -p src
	$(FLEX) -o$@ --header-file=$(@:.c=.h) $<

sql/plproxy.sql: $(PLPROXY_SQL)
	@mkdir -p sql
	cat $^ > $@

# plain plproxy.sql is not installed, but used in tests
sql/$(EXTENSION)--$(EXTVERSION).sql: $(PLPROXY_SQL)
	@mkdir -p sql
	echo "create extension plproxy;" > sql/plproxy.sql 
	cat $^ > $@

$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql): sql/ext_update_validator.sql
	@mkdir -p sql
	cat $< >$@

sql/plproxy--unpackaged--$(EXTVERSION).sql: sql/ext_unpackaged.sql
	@mkdir -p sql
	cat $< > $@

# dependencies

$(OBJS): $(HDRS)

# utility rules

tags: $(SRCS) $(HDRS)
	ctags $(SRCS) $(HDRS)

tgz:
	git archive --prefix=$(DISTNAME)/ HEAD | gzip -9 > $(DISTNAME).tar.gz

zip:
	git archive -o $(DISTNAME).zip --format zip --prefix=$(DISTNAME)/ HEAD

test: install
	$(MAKE) installcheck || { filterdiff --format=unified regression.diffs | less; exit 1; }

ack:
	cp results/*.out test/expected/

=== debian/changelog ===
postgresql-plproxy (2.9-2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 30 Oct 2019 16:57:26 +0100

postgresql-plproxy (2.9-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 16:57:26 +0100

postgresql-plproxy (2.9-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2019 15:08:59 +0200

postgresql-plproxy (2.8-3) unstable; urgency=medium

  * tests: Recent PostgreSQL minors (11.2 and friends) disallow setting
    client_min_messages higher than 'error', so suppressing errors that way
    does not work anymore. Instead, drop the "create language plpgsql" code as
    plpgsql is preinstalled by default since 9.1.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 14 Feb 2019 16:54:09 +0100

postgresql-plproxy (2.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 19 Oct 2018 10:18:52 +0200

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 9), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 4.1.1
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plproxy.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plproxy
XS-Testsuite: autopkgtest

Package: postgresql-9.4-plproxy
Architecture: any
Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.4
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-9.5-plproxy
Architecture: any
Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.5
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-9.6-plproxy
Architecture: any
Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.6
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-10-plproxy
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 10
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-11-plproxy
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 11
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-12-plproxy
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 12
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

## postgresql-plproxy 2.10.0~20220627.1436-7~1.git524ecf7.pgdg18.04+1

=== debian/changelog ===
postgresql-plproxy (2.10.0~20220627.1436-7~1.git524ecf7.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:21:41 +0200

postgresql-plproxy (2.10.0-7) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:21:41 +0200

postgresql-plproxy (2.10.0-6) unstable; urgency=medium

  * Remove tests that show varying output with PG14 libpq5, there is
    additional variation in 127.0.0.1 vs. ::1.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Oct 2021 15:19:45 +0200

postgresql-plproxy (2.10.0-5) unstable; urgency=medium

  * Add plproxy_test_4.out file for PG<=10 with PG14 libpq5 output.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Sep 2021 11:19:25 +0200

postgresql-plproxy (2.10.0-4) experimental; urgency=medium

  * Support PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 24 Jun 2021 14:40:39 +0200

postgresql-plproxy (2.10.0-3) unstable; urgency=medium

  * Skip build-time tests with newnet/newpid on non-Linux.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Nov 2020 15:20:08 +0100

postgresql-plproxy (2.10.0-2) unstable; urgency=medium

  * Add test-dependency on postgresql-common (>= 217~). (Closes: #972045)

 -- Christoph Berg <myon@debian.org>  Mon, 12 Oct 2020 23:14:45 +0200

postgresql-plproxy (2.10.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove unnecessary XS-Testsuite field in debian/control.

  [ Christoph Berg ]
  * New upstream version.
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs and run tests at build-time as well.
  * DH 13.
  * R³: no.
  * debian/tests: Simplify.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 11:37:46 +0200

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 11),
 flex, bison, asciidoc,
 newpid [linux-any],
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://pgfoundry.org/projects/plproxy/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plproxy.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plproxy

Package: postgresql-10-plproxy
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 10
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-11-plproxy
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 11
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-12-plproxy
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 12
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-13-plproxy
Architecture: any
Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 13
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-14-plproxy
Architecture: any
Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 14
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

## postgresql-plproxy 2.10.0~20220627.1436-7~1.git524ecf7.pgdg20.04+1

=== debian/changelog ===
postgresql-plproxy (2.10.0~20220627.1436-7~1.git524ecf7.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:21:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  flex, bison, asciidoc,
  newpid [linux-any],
  postgresql-all (>= 217~),

## postgresql-plproxy 2.10.0~20220627.1436-7~1.git524ecf7.pgdg22.04+1

=== debian/changelog ===
postgresql-plproxy (2.10.0~20220627.1436-7~1.git524ecf7.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:21:41 +0200

## postgresql-plproxy 2.10.0~20220627.1436-7~1.git524ecf7.pgdg110+1

=== debian/changelog ===
postgresql-plproxy (2.10.0~20220627.1436-7~1.git524ecf7.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:21:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
  flex, bison, asciidoc,
  newpid [linux-any],
  postgresql-all (>= 217~),

## postgresql-plproxy 2.10.0~20220627.1436-7~1.git524ecf7.pgdg+1

=== debian/changelog ===
postgresql-plproxy (2.10.0~20220627.1436-7~1.git524ecf7.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:21:41 +0200

## postgresql-plproxy 2.10.0

=== Makefile ===
EXTENSION  = plproxy

# sync with NEWS, META.json, plproxy.control
EXTVERSION = 2.10.0
UPGRADE_VERS = 2.3.0 2.4.0 2.5.0 2.6.0 2.7.0 2.8.0 2.9.0
DISTVERSION = $(EXTVERSION)

# set to 1 to disallow functions containing SELECT
NO_SELECT = 0

# libpq config
PG_CONFIG = pg_config
PQINCSERVER = $(shell $(PG_CONFIG) --includedir-server)
PQINC = $(shell $(PG_CONFIG) --includedir)
PQLIB = $(shell $(PG_CONFIG) --libdir)

# module setup
MODULE_big = $(EXTENSION)
SRCS = src/cluster.c src/execute.c src/function.c src/main.c \
       src/query.c src/result.c src/type.c src/aatree.c
OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch] libplproxy.* plproxy.so
SHLIB_LINK = -L$(PQLIB) -lpq

HDRS = src/plproxy.h src/rowstamp.h src/aatree.h

# Server include must come before client include, because there could
# be mismatching libpq-dev and postgresql-server-dev installed.
PG_CPPFLAGS = -I$(PQINCSERVER) -I$(PQINC) -DNO_SELECT=$(NO_SELECT)

ifdef VPATH
PG_CPPFLAGS += -I$(VPATH)/src
endif

DISTNAME = $(EXTENSION)-$(DISTVERSION)

# regression testing setup
REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
     plproxy_errors plproxy_clustermap plproxy_dynamic_record \
     plproxy_encoding plproxy_split plproxy_target plproxy_alter \
     plproxy_cancel plproxy_range plproxy_sqlmed plproxy_table \
     plproxy_modular
REGRESS_OPTS = --inputdir=test

# use known db name
override CONTRIB_TESTDB := regression

PLPROXY_SQL = sql/plproxy_lang.sql sql/plproxy_fdw.sql
DATA_built = sql/$(EXTENSION)--$(EXTVERSION).sql \
	     $(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql)

#
# load PGXS makefile
#
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifeq ($(PORTNAME), win32)
SHLIB_LINK += -lws2_32 -lpgport
endif

# PGXS may define them as empty
FLEX := $(if $(FLEX),$(FLEX),flex)
BISON := $(if $(BISON),$(BISON),bison)

# parser rules
src/scanner.o: src/parser.tab.h
src/parser.tab.h: src/parser.tab.c

src/parser.tab.c: src/parser.y
	@mkdir -p src
	$(BISON) -b src/parser -d $<

src/parser.o: src/scanner.h
src/scanner.h: src/scanner.c
src/scanner.c: src/scanner.l
	@mkdir -p src
	$(FLEX) -o$@ --header-file=$(@:.c=.h) $<

sql/$(EXTENSION)--$(EXTVERSION).sql: $(PLPROXY_SQL)
	@mkdir -p sql
	cat $^ > $@

$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql): sql/ext_update_validator.sql
	@mkdir -p sql
	cat $< >$@

# dependencies

$(OBJS): $(HDRS)

# utility rules

tags: $(SRCS) $(HDRS)
	ctags $(SRCS) $(HDRS)

dist:
	git archive --prefix=$(DISTNAME)/ HEAD | gzip -9 > $(DISTNAME).tar.gz

zip:
	git archive -o $(DISTNAME).zip --format zip --prefix=$(DISTNAME)/ HEAD

test: install
	$(MAKE) installcheck || { filterdiff --format=unified regression.diffs | less; exit 1; }

citest:
	$(MAKE) installcheck || { filterdiff --format=unified regression.diffs; exit 1; }

ack:
	cp results/*.out test/expected/

checkver:
	@echo "Checking version numbers"
	@test "$(DISTVERSION)" = "$(EXTVERSION)" \
		|| { echo "ERROR: DISTVERSION <> EXTVERSION"; exit 1; }
	@grep -q "^default_version *= *'$(EXTVERSION)'" $(EXTENSION).control \
		|| { echo "ERROR: $(EXTENSION).control has wrong version"; exit 1; }
	@grep -q "Proxy $(EXTVERSION) " NEWS.md \
		|| { echo "ERROR: NEWS.md needs version"; exit 1; }
	@grep '"version"' META.json | head -n 1 | grep -q '"$(EXTVERSION)"' \
		|| { echo "ERROR: META.json has wrong version"; exit 1; }

REPO = github
release: checkver
	git diff --exit-code
	git tag v$(EXTVERSION)
	git push $(REPO)
	git push $(REPO) v$(EXTVERSION):v$(EXTVERSION)

doc/note.md: Makefile NEWS.md
	awk -vVER=$(EXTVERSION) -f doc/note.awk NEWS.md > doc/note.md

=== debian/changelog ===
postgresql-plproxy (2.10.0-8) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:12:01 +0200

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper-compat (= 13),
 flex, bison, asciidoc,
 newpid [linux-any],
 postgresql-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://pgfoundry.org/projects/plproxy/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plproxy.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plproxy

Package: postgresql-15-plproxy
Architecture: any
Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 15
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_installdocs:
	dh_installdocs -a --all AUTHORS doc/*.md

override_dh_pgxs_test:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	newnet pg_buildext -o 'port=5432' -c '--locale=C' -i '--auth=trust' \
		-o "unix_socket_directories=/tmp" installcheck . test postgresql-%v-plproxy
endif

%:
	dh $@ --with pgxs

=== debian/watch ===
version=3
https://plproxy.github.io/ .*/plproxy-([0-9.]+).tar.gz

## postgresql-plproxy 2.11.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 EXTENSION  = plproxy
 
 # sync with NEWS, META.json, plproxy.control
-EXTVERSION = 2.10.0
-UPGRADE_VERS = 2.3.0 2.4.0 2.5.0 2.6.0 2.7.0 2.8.0 2.9.0
+EXTVERSION = 2.11.0
+UPGRADE_VERS = 2.3.0 2.4.0 2.5.0 2.6.0 2.7.0 2.8.0 2.9.0 2.10.0
 DISTVERSION = $(EXTVERSION)
 
 # set to 1 to disallow functions containing SELECT
@@ -26,7 +26,7 @@
 
 # Server include must come before client include, because there could
 # be mismatching libpq-dev and postgresql-server-dev installed.
-PG_CPPFLAGS = -I$(PQINCSERVER) -I$(PQINC) -DNO_SELECT=$(NO_SELECT)
+PG_CPPFLAGS = -I$(PQINCSERVER) -I$(PQINC) -DNO_SELECT=$(NO_SELECT) $(EXTRA_CPPFLAGS)
 
 ifdef VPATH
 PG_CPPFLAGS += -I$(VPATH)/src

=== debian/changelog ===
postgresql-plproxy (2.11.0-13) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117327)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:50:12 +0200

postgresql-plproxy (2.11.0-12) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:42:04 +0200

postgresql-plproxy (2.11.0-11) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:47:19 +0200

postgresql-plproxy (2.11.0-10) unstable; urgency=medium

  * New upstream version.
  * Drop build-time tests, don't work without access to /var/run/postgresql.
  * Update homepage.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Sep 2023 16:27:10 +0200

postgresql-plproxy (2.10.0-9) unstable; urgency=medium

  * Remove newpid from test dependencies.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Sep 2023 10:26:19 +0000

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 bison,
 flex,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://plproxy.github.io/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plproxy.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plproxy

Package: postgresql-18-plproxy
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: database partitioning system for PostgreSQL 18
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_installdocs:
	dh_installdocs -a --all AUTHORS doc/*.md

override_dh_pgxs_test:
	# defer testing to autopkgtest

%:
	dh $@ --with pgxs

=== debian/tests/control ===
Tests:
 installcheck,
Depends:
 postgresql-common (>= 217~),
 postgresql-common-dev,
 @,
Restrictions:
 allow-stderr,
 needs-root,

=== debian/watch ===
version=4
https://github.com/plproxy/plproxy/tags .*/v([0-9.]+).tar.gz
